<?php
defined('ABSPATH') or die;

add_action('admin_init', 'dfcf7_af_cf7_register_settings');

function dfcf7_af_cf7_register_settings() {
    register_setting('dfcf7_af_cf7', 'dfcf7_af_cf7');

    add_settings_section(
            'dfcf7_af_cf7_google', __('Google'), '', 'dfcf7_af_cf7'
    );

    add_settings_field(
            'google_maps_api_key', esc_html__('Google Maps API Key', 'dfcf7-address-field-for-contact-form-7'), 'dfcf7_af_cf7_google_maps_api_key_render', 'dfcf7_af_cf7', 'dfcf7_af_cf7_google'
    );

    add_settings_field(
            'load_google_maps_api', esc_html__('Load Google Maps API', 'dfcf7-address-field-for-contact-form-7'), 'dfcf7_af_cf7_load_google_maps_api_render', 'dfcf7_af_cf7', 'dfcf7_af_cf7_google'
    );

    add_settings_section(
            'dfcf7_af_cf7_yandex', __('Yandex'), '', 'dfcf7_af_cf7'
    );

    add_settings_field(
            'load_yandex_maps_api', esc_html__('Load Yandex Maps API', 'dfcf7-address-field-for-contact-form-7'), 'dfcf7_af_cf7_load_yandex_maps_api_render', 'dfcf7_af_cf7', 'dfcf7_af_cf7_yandex'
    );

    add_settings_section(
            'dfcf7_af_cf7_dadata', __('Dadata'), '', 'dfcf7_af_cf7'
    );
	
	add_settings_field(
            'dadata_api_key', esc_html__('Dadata API Key', 'dfcf7-address-field-for-contact-form-7'), 'dfcf7_af_cf7_dadata_api_key_render', 'dfcf7_af_cf7', 'dfcf7_af_cf7_dadata'
    );
	
    add_settings_field(
            'load_dadata_api', esc_html__('Load Dadata API', 'dfcf7-address-field-for-contact-form-7'), 'dfcf7_af_cf7_load_dadata_api_render', 'dfcf7_af_cf7', 'dfcf7_af_cf7_dadata'
    );
	
}

function dfcf7_af_cf7_load_yandex_maps_api_render() {
    $options = dfcf7_af_cf7_get_options();
    ?>
    <input type="hidden" name="dfcf7_af_cf7[load_yandex_maps_api]" value="0">
    <input type="checkbox" name="dfcf7_af_cf7[load_yandex_maps_api]" <?php checked($options['load_yandex_maps_api'], 1); ?> value="1">
    <p class="description"><?php esc_html_e('Disable this if your theme or plugins are already load Yandex Maps API v2.1.'); ?></p>
    <?php
}

function dfcf7_af_cf7_load_google_maps_api_render() {
    $options = dfcf7_af_cf7_get_options();
    ?>
    <input type="hidden" name="dfcf7_af_cf7[load_google_maps_api]" value="0">
    <input type="checkbox" name="dfcf7_af_cf7[load_google_maps_api]" <?php checked($options['load_google_maps_api'], 1); ?> value="1">
    <p class="description"><?php esc_html_e('Disable this if your theme or plugins are already load Google Maps API'); ?></p>
    <?php
}

function dfcf7_af_cf7_google_maps_api_key_render() {
    $options = dfcf7_af_cf7_get_options();
    ?>
    <input type="text" name="dfcf7_af_cf7[google_maps_api_key]" value="<?php echo esc_attr($options['google_maps_api_key']); ?>">
    <p class="description"><?php _e('You can get it <a href="https://developers.google.com/maps/documentation/embed/get-api-key">here</a>.'); ?></p>
    <?php
}

function dfcf7_af_cf7_load_dadata_api_render() {
    $options = dfcf7_af_cf7_get_options();
    ?>
    <input type="hidden" name="dfcf7_af_cf7[load_dadata_api]" value="0">
    <input type="checkbox" name="dfcf7_af_cf7[load_dadata_api]" <?php checked($options['load_dadata_api'], 1); ?> value="1">
    <p class="description"><?php esc_html_e('Disable this if your theme or plugins are already load Dadata API'); ?></p>
    <?php
}

function dfcf7_af_cf7_dadata_api_key_render() {
    $options = dfcf7_af_cf7_get_options();
    ?>
    <input type="text" name="dfcf7_af_cf7[dadata_api_key]" value="<?php echo esc_attr($options['dadata_api_key']); ?>">
    <p class="description"><?php _e('You can get it <a href="https://dadata.ru/api/">here</a>.'); ?></p>
    <?php
}

add_action('admin_menu', 'dfcf7_af_cf7_create_menu');

function dfcf7_af_cf7_create_menu() {
    add_options_page(__('dfcf7 Address Field for Contact Form 7', 'dfcf7-address-field-for-contact-form-7'), esc_html__('dfcf7 Address Field for Contact Form 7', 'dfcf7-address-field-for-contact-form-7'), 'manage_options', 'dfcf7-address-field-for-contact-form-7', 'dfcf7_af_cf7_render');
}

function dfcf7_af_cf7_render() {
    ?>
    <div class="wrap">
        <h1><?php esc_html_e('dfcf7 Address Field for Contact Form 7', 'dfcf7-address-field-for-contact-form-7'); ?></h1>
        <form action="options.php" method="post">
            <?php settings_fields('dfcf7_af_cf7'); ?>
            <?php do_settings_sections('dfcf7_af_cf7'); ?>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}