<?php
/*
 * Plugin Name: Dadata.ru for Contact form 7
 * Description: Этот аддон добавляет авто подсказку для поля адрес в форме плагина Contact Form 7
 * Plugin URI:  https://zakazsajta.ru/dadata-for-contact-form-7/
 * Author URI:  https://zakazsajta.ru
 * Author:      Сергей Чернухин
 * Version:     0.1
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */
 
defined('ABSPATH') or die;

function dfcf7_af_cf7_get_options() {
    $default = array(
        'load_yandex_maps_api' => 1,
        'load_google_maps_api' => 1,
        'google_maps_api_key' => '',
        'load_dadata_api' => 1,
        'dadata_api_key' => ''
    );

    $options = get_option('dfcf7_af_cf7');

    return wp_parse_args($options, $default);
}

function dfcf7_af_cf7_enqueue_scripts() {
    $options = dfcf7_af_cf7_get_options();
    if ($options['load_yandex_maps_api']) {
        wp_register_script('dfcf7-address-field-yandex-maps-api', '//api-maps.yandex.ru/2.1/?lang=' . get_locale());
    }
    if ($options['load_google_maps_api']) {
        wp_register_script('dfcf7-address-field-google-maps-api', '//maps.googleapis.com/maps/api/js?libraries=places&key=' . urlencode($options['google_maps_api_key']));
    }
    if ($options['load_dadata_api']) {
        wp_register_script('dfcf7-address-field-dadata-api-jquery-min', '//cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js');
        wp_register_style('dfcf7-address-field-dadata-api', '//cdn.jsdelivr.net/npm/suggestions-jquery@21.6.0/dist/css/suggestions.min.css');
		wp_register_script('dfcf7-address-field-dadata-api-jquery-suggestions', '//cdn.jsdelivr.net/npm/suggestions-jquery@21.6.0/dist/js/jquery.suggestions.min.js');
		wp_add_inline_script('dfcf7-address-field-dadata-api-jquery-suggestions','
			$("#address").suggestions({
				token: "5da2642474b01e8301fa002ea47e5f65dfb11af4",
				type: "ADDRESS",
				/* Вызывается, когда пользователь выбирает одну из подсказок */
				onSelect: function(suggestion) {
					console.log(suggestion);
				}
			});
		','');
		
    };
    wp_register_script('dfcf7-address-field-for-contact-form-7', plugins_url('dadata-for-contact-form-7/dfcf7-address-field-for-contact-form-7.js'),'',NULL);
    wp_localize_script('dfcf7-address-field-for-contact-form-7', 'dfcf7_af_cf7', array(
        'yandex_maps_api_not_loaded' => 'dfcf7_AF_CF7: ' . esc_attr__('Yandex Maps API not loaded'),
        'google_maps_api_not_loaded' => 'dfcf7_AF_CF7: ' . esc_attr__('Google Maps API not loaded'),
        'dadata_api_not_loaded' => 'dfcf7_AF_CF7: ' . esc_attr__('Dadata API not loaded')
    ));
}

add_action('wp_enqueue_scripts', 'dfcf7_af_cf7_enqueue_scripts');

require_once plugin_dir_path(__FILE__) . 'address_field.php';
if (is_admin()) {
    require_once plugin_dir_path(__FILE__) . 'admin.php';
}